--- title: "putScheduledUpdateGroupAction" slug: "compute-vautoscaling-autoscalinggroup-putscheduledupdategroupaction" updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-vautoscaling-autoscalinggroup-putscheduledupdategroupaction" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # putScheduledUpdateGroupAction Available in VPC Create or edit a scaling schedule for Auto Scaling Group. You can set one-time and repeated execution schedules. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vautoscaling/v2/putScheduledUpdateGroupAction | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Auto Scaling APIs, see [Auto Scaling request headers](/docs/en/compute-vautoscaling#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `autoScalingGroupNo` | String | Required | Auto Scaling Group number - See [getAutoScalingGroupList](/docs/en/compute-vautoscaling-autoscalinggroup-getautoscalinggrouplist). | | `scheduledActionNo` | String | Conditional | Schedule number - See [getScheduledActionList](/docs/en/compute-vautoscaling-autoscalinggroup-getscheduledactionlist). - Not entered during schedule creation - Either `scheduledActionNo` or `scheduledActionName` is required when editing a schedule. | | `scheduledActionName` | String | Conditional | Schedule name - Create a schedule on new name entry. - Enter 1-255 characters using a combination of lowercase English letters, numbers, and special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Edit the schedule when entering an existing name. - Schedule name: See [getAutoScalingPolicyList](/docs/en/compute-vautoscaling-autoscalinggroup-getscheduledactionlist). - Required upon schedule creation. - Either `scheduledActionNo` or `scheduledActionName` is required when editing a schedule. | | `minSize` | Integer | Required | Minimum capacity: Minimum number of servers in Auto Scaling Group - 0-30 - Set to `maxSize` or less. - Enter 0 to not have a server. | | `maxSize` | Integer | Required | Maximum capacity: Maximum number of servers in Auto Scaling Group - 0-30 - Set to `minSize` or more | | `desiredCapacity` | Integer | Optional | Expected capacity: Expected number of servers in Auto Scaling Group - Set between `minSize` and `maxSize` (default: same as `minSize`). - Automatically adjust the number of servers based on the input value. | | `startTime` | String | Conditional | Schedule start date and time - yyyy-MM-ddTHH:mm:ssZ format - Set after the current time and before `endTime`. - Required when not setting `recurrence` - When setting `recurrence`, run the earliest repeat schedule after `startTime`. - When setting only `recurrence`, run the earliest repeat schedule with `startTime`. - Can't overlap with another schedule's start time. - Example: `2020-07-25T17:50:00+0900` (URL encoding required) | | `endTime` | String | Optional | Schedule end date and time - yyyy-MM-ddTHH:mm:ssZ format - Set after `startTime`. - When setting `recurrence`, end repeated execution after that time. - e.g., `2020-07-25T17:50:00+0900` (URL encoding required) | | `recurrence` | String | Optional | Repeat settings - crontab format (minute, hour, day, month, day of week) - Minute: 0-59 - Hour: 0-23 - Day: 1-31 - Month: 1-12 or English name - Day of week: 0-7 or English name - 0=7=Sun - `*`: Select all. - example 1, On time every hour: 0 * * * * - example 2, Every Saturday at 16:30: 30 16 * * 6 - example 3, Midnight on the first of every month: 0 0 1 * * - example 4, Midnight on January 1 of every year: 0 0 1 Jan * | | `timeZone` | String | Optional | Reference time zone - You can specify the time zone for recurrence settings. - `KST` (default) \| `UTC` - `KST`: UTC+9 - `UTC`: UTC+0 | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vautoscaling/v2/putScheduledUpdateGroupAction ?regionCode=KR &autoScalingGroupNo=1***9 &scheduledActionName=sch2 &minSize=0 &maxSize=0 &desiredCapacity=0 &startTime=2025-06-14T17%3A50%3A00%2B0900 &endTime=2025-06-14T18%3A10%3A00%2B0900 &timeZone=KST &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `putScheduledUpdateGroupActionResponse` | Object | - | Response result - See [ScheduledUpdateGroupActionList](/docs/en/common-vapidatatype-scheduledupdategroupactionlist). | | `putScheduledUpdateGroupActionResponse.requestId` | String | - | ID for the request - UUID format | | `putScheduledUpdateGroupActionResponse.returnCode` | String | - | Response code | | `putScheduledUpdateGroupActionResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Auto Scaling APIs, see [Auto Scaling response status codes](/docs/en/compute-vautoscaling#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "putScheduledUpdateGroupActionResponse": { "totalRows": 1, "scheduledUpdateGroupActionList": [ { "autoScalingGroupNo": "1***9", "scheduledActionNo": "1183", "scheduledActionName": "sch2", "minSize": 0, "maxSize": 0, "desiredCapacity": 0, "startTime": "2025-06-14T17:50:00+0900", "endTime": "2025-06-14T18:10:00+0900", "recurrence": "", "timeZone": "KST" } ], "requestId": "daf32d70-****-****-****-de2a2da7f09f", "returnCode": "0", "returnMessage": "success" } } ```